ur_rna.Utilities.prefs

## Class FilePreferences.RootNode

- java.lang.Object
- - java.util.prefs.Preferences
  - - java.util.prefs.AbstractPreferences
    - - ur_rna.Utilities.prefs.FilePreferences
      - - ur_rna.Utilities.prefs.FilePreferences.RootNode

- Enclosing class:
    FilePreferences

      protected static class FilePreferences.RootNode
      extends FilePreferences

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.Utilities.prefs.FilePreferences

      `FilePreferences.Factory, FilePreferences.RootNode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Properties` | `cachedProps`
    `private java.io.File` | `file`

    - ### Fields inherited from class ur_rna.Utilities.prefs.FilePreferences

      `root`

    - ### Fields inherited from class java.util.prefs.AbstractPreferences

      `lock, newNode`

    - ### Fields inherited from class java.util.prefs.Preferences

      `MAX_KEY_LENGTH, MAX_NAME_LENGTH, MAX_VALUE_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootNode(java.io.File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `autoFlush()`
    `java.io.File` | `getFile()`
    `java.util.Properties` | `getProps()`
    `void` | `loadProps()`
    `java.lang.String` | `nodePrefix()` Returns the absolute path and ensures that it ends with a slash (/) For child nodes this is the same as `absolutePath() + '/'` but for the root node it is just '/'.
    `void` | `removeProps(java.lang.String basePath, boolean removeChildren)`
    `void` | `setFile(java.io.File file)`
    `void` | `storeProps()`

    - ### Methods inherited from class ur_rna.Utilities.prefs.FilePreferences

      `childrenNamesSpi, childSpi, createRoot, createRoot, flush, flushSpi, getPreferencesFile, getRoot, getSpi, isModified, keysSpi, putSpi, readProps, removeNodeSpi, removeSpi, rootNode, setPreferencesFile, sync, syncSpi`

    - ### Methods inherited from class java.util.prefs.AbstractPreferences

      `absolutePath, addNodeChangeListener, addPreferenceChangeListener, cachedChildren, childrenNames, clear, exportNode, exportSubtree, get, getBoolean, getByteArray, getChild, getDouble, getFloat, getInt, getLong, isRemoved, isUserNode, keys, name, node, nodeExists, parent, put, putBoolean, putByteArray, putDouble, putFloat, putInt, putLong, remove, removeNode, removeNodeChangeListener, removePreferenceChangeListener, toString`

    - ### Methods inherited from class java.util.prefs.Preferences

      `importPreferences, systemNodeForPackage, systemRoot, userNodeForPackage, userRoot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cachedProps

          private java.util.Properties cachedProps

    - #### file

          private java.io.File file

  - ### Constructor Detail

    - #### RootNode

          public RootNode(java.io.File file)

  - ### Method Detail

    - #### autoFlush

          protected void autoFlush()

    - #### getFile

          public java.io.File getFile()

    - #### getProps

          public java.util.Properties getProps()

    - #### loadProps

          public void loadProps()
                         throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`

    - #### nodePrefix

          public java.lang.String nodePrefix()

      Returns the absolute path and ensures that it ends with a slash (/) For child nodes this is the same as `absolutePath() + '/'` but for the root node it is just '/'.
      Overrides:
        `nodePrefix` in class `FilePreferences`

    - #### removeProps

          public void removeProps(java.lang.String basePath,
                                  boolean removeChildren)

    - #### setFile

          public void setFile(java.io.File file)

    - #### storeProps

          public void storeProps()
                          throws java.util.prefs.BackingStoreException

      Throws:
        `java.util.prefs.BackingStoreException`